@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Days+One&family=Open+Sans&family=Russo+One&family=Space+Grotesk&display=swap');
*{
    box-sizing: border-box;
}
body{
    font-family: 'Roboto','Poppins', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
}
.text{
    text-transform: uppercase;
}
.log{
    width:150px
}
.nav-btn{
    border:none;
    background-color: transparent;
    cursor:pointer;
    font-size: 20px;
}
.open-btn{
    position: fixed;
    top:10px;
    left:10px;  
}
.nav{
    position: fixed;
    top:0;
    left:0;
    height: 100vh;
    transform: translateX(-100%);
    transition: transform 0.3s ease-in-out;
}
/* only navs which has a visible class would be displayed ( will added by javascript) */
.nav.visible{
    transform: translateX(0);
}
.nav-black{
    background-color: rgb(34,31,31);
    width: 60%;
    max-width: 480px;
    min-width: 320px;
    transition-delay: 0.4s;
}
.nav-black.visible{
    transition-delay: 0s;
}
.nav-red{
    background-color: rgb(229,9,20);
    width:95%;
    transition-delay: 0.2s;
}
.nav-red.visible{
    transition-delay: 0.2s;
}
.nav-white{
    background-color: #fff;
    width:95%;
    padding:40px;
    position: relative;
    transition-delay: 0s;
}
.nav-white.visible{
    transition-delay: 0.4s;
}
.close-btn{
    position: absolute;
    top:40px;
    right:30px;
    opacity:0.3;
}
.list{
    list-style-type: none;
    padding:0;
}
.list li{
    margin:20px 0;
}
.list li a {
    color:rgb(34,31,31);
    font-size: 14px;
    text-decoration: none;
    text-transform: uppercase;
}
.list ul {
    list-style-type: none;
    padding-left: 20px;
}